ojph::RoiScaleOJPHFilter< T > Class Template Reference

`#include <PostT1DecompressFiltersOJPH.h>`

## Public Member Functions

| RoiScaleOJPHFilter (grk::DecompressBlockExec *block)
void | copy (T *dest, T *src, uint32_t len)

## Private Attributes

uint32_t | roiShift
float | scale

## Constructor & Destructor Documentation

## RoiScaleOJPHFilter()

template<typename T >

ojph::RoiScaleOJPHFilter< T >::RoiScaleOJPHFilter | ( | grk::DecompressBlockExec * | block | ) |

inline

References grk::BlockExec::bandNumbps.

## Member Function Documentation

## copy()

template<typename T >

void ojph::RoiScaleOJPHFilter< T >::copy | ( | T * | dest,
|  | T * | src,
|  | uint32_t | len
| ) |  |

inline

References ojph::RoiScaleOJPHFilter< T >::roiShift, and ojph::RoiScaleOJPHFilter< T >::scale.

## Member Data Documentation

## roiShift

template<typename T >

uint32_t ojph::RoiScaleOJPHFilter< T >::roiShift

private

Referenced by ojph::RoiScaleOJPHFilter< T >::copy().

## scale

template<typename T >

float ojph::RoiScaleOJPHFilter< T >::scale

private

Referenced by ojph::RoiScaleOJPHFilter< T >::copy().

The documentation for this class was generated from the following file:

- PostT1DecompressFiltersOJPH.h